## ros-indigo-warehouse-ros 0.8.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(warehouse_ros)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/" ${CMAKE_MODULE_PATH})

find_package(catkin REQUIRED
  geometry_msgs
  roscpp
  rostest
  rostime
  std_msgs)
find_package(Boost COMPONENTS system filesystem thread)
find_package(OpenSSL)
find_package(MongoDB)

set(MONGO_EXPORT)
if("${MongoDB_LIBRARIES}" MATCHES "\\.so$")
  set(MONGO_EXPORT MongoDB)
endif()

file(MAKE_DIRECTORY "${CATKIN_DEVEL_PREFIX}/include")

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS ${CATKIN_DEVEL_PREFIX}/include include
  LIBRARIES warehouse_ros
  CATKIN_DEPENDS roscpp geometry_msgs rostime std_msgs
  DEPENDS Boost ${MONGO_EXPORT}
  )


if (NOT MongoDB_EXPOSE_MACROS)
  add_definitions(-DMONGO_EXPOSE_MACROS)
endif()
configure_file("include/mongo_ros/config.h.in" "${CATKIN_DEVEL_PREFIX}/include/mongo_ros/config.h")

include_directories(${CATKIN_DEVEL_PREFIX}/include include ${catkin_INCLUDE_DIRS} ${MongoDB_INCLUDE_DIR} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LINK_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

set(warehouse_srcs
  src/mongo_ros.cpp
  src/mongo_ros_dummy.cpp)

add_library(warehouse_ros SHARED ${warehouse_srcs})

target_link_libraries(warehouse_ros ${catkin_LIBRARIES} ${MongoDB_LIBRARIES} ${OPENSSL_LIBRARIES} ${Boost_LIBRARIES})
catkin_add_gtest(test_mongo_roscpp test/test_mongo_ros.cpp)
target_link_libraries(test_mongo_roscpp warehouse_ros)

install(TARGETS warehouse_ros LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp")
install(PROGRAMS src/mongo_wrapper_ros.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(FILES "${CATKIN_DEVEL_PREFIX}/include/mongo_ros/config.h" DESTINATION include/mongo_ros)

=== debian/changelog ===
ros-indigo-warehouse-ros (0.8.8-0trusty) trusty; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- Ioan Sucan <isucan@google.com>  Tue, 30 Sep 2014 22:00:00 -0000

ros-indigo-warehouse-ros (0.8.5-0trusty) trusty; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- Ioan Sucan <isucan@google.com>  Sat, 22 Feb 2014 23:00:00 -0000

ros-indigo-warehouse-ros (0.8.4-0trusty) trusty; urgency=high

  * update how we find MongoDB

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-indigo-warehouse-ros (0.8.2-0trusty) trusty; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-indigo-warehouse-ros (0.8.1-0trusty) trusty; urgency=high

  * fix linking issues (missing SSL symbols) in deps, undef defined macros

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-warehouse-ros
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@google.com>
Build-Depends: debhelper (>= 9.0.0), libcurl4-openssl-dev, libgtest-dev, libmongo-client-dev, libssl-dev, mongodb-dev, python-pymongo, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-rostime, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-indigo-warehouse-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl4-openssl-dev, libssl-dev, mongodb, python-pymongo, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rostime, ros-indigo-std-msgs
Description: Persistent storage of ROS data using MongoDB

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-warehouse-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
